import { ReactElement, ChangeEventHandler, FC, ComponentPropsWithRef } from 'react';
import { MarginProps, Prop } from '@modulz/radix-system';
declare type Variants = 'normal' | 'fade';
declare type VariantProps = {
    variant?: Prop<Variants>;
};
declare type ToggleButtonGroupProps = MarginProps & {
    name: string;
    value?: string;
    onChange?: ChangeEventHandler<HTMLInputElement>;
    children: ReactElement<ToggleButtonProps>[];
} & VariantProps;
export declare const ToggleButtonGroup: FC<ToggleButtonGroupProps>;
declare type ToggleButtonProps = ComponentPropsWithRef<'input'> & VariantProps;
export declare const ToggleButton: FC<ToggleButtonProps>;
export {};
